WEBLOGO(1)

NAME
WebLogo - create sequence logos from biological sequence alignments

SYNOPSIS
weblogo [options] < sequence_data.fa > sequence_logo.eps

DESCRIPTION
Create sequence logos from biological sequence alignments.

OPTIONS

--version
    show program's version number and exit

-h --help
    show this help message and exit

    Input/Output Options:

-f --fin FILENAME
    Sequence input file (default: stdin)

--upload URL
    Upload input file from URL

-D --datatype FORMAT
    Type of multiple sequence alignment or position weight matrix file: (clustal, fasta, msf, genbank, nbrf, nexus, phylip, stockholm, intelligenetics, table, array, transfac)

-o --fout FILENAME
    Output file (default: stdout)

-F --format FORMAT
    Format of output: eps (default), png, png_print, pdf, jpeg, svg, logodata

    Logo Data Options:

-A --sequence-type TYPE
    The type of sequence data: 'protein', 'rna' or 'dna'.

-a --alphabet ALPHABET
    The set of symbols to count, e.g. 'AGTC'. All characters not in the alphabet are ignored. If neither the alphabet nor sequence-type are specified then weblogo will examine the input data and make an educated guess. See also --sequence-type, --ignore-lower-case

-U --units UNIT
    A unit of entropy ('bits' (default), 'nats', 'digits'), or a unit offree energy ('kT', 'kJ/mol', 'kcal/mol'), or 'probability' for probabilities

--composition COMP.
    The expected composition of the sequences: 'auto' (default), 'equiprobable', 'none' (do not perform any compositional adjustment), a CG percentage, a species name (e.g. 'E. coli', 'H. sapiens'), or an explicit distribution (e.g. "{'A':10, 'C':40, 'G':40, 'T':10}"). The automatic option uses a typical distribution for proteins and equiprobable distribution for everything else.

--weight NUMBER
    The weight of prior data. Default depends on alphabet length

-i --first-index INDEX
    Index of first position in sequence data (default: 1)

-l --lower INDEX
    Lower bound of sequence to display

-u --upper INDEX
    Upper bound of sequence to display

    Transformations:

    Optional transformations of the sequence data.

--ignore-lower-case
    Disregard lower case letters and only count upper case letters in sequences.

--reverse
    reverse sequences

--complement
    complement nucleic sequences

--revcomp
    reverse complement nucleic sequences

    Logo Format Options:

    These options control the format and display of the logo.

-s --size LOGOSIZE
    Specify a standard logo size (small, medium (default), large)

-n --stacks-per-line COUNT
    Maximum number of logo stacks per logo line. (default: 40)

-t --title TEXT
    Logo title text.

--label TEXT
    A figure label, e.g. '2a'

-X --show-xaxis YES/NO
    Display sequence numbers along x-axis? (default: True)

-x --xlabel TEXT
    X-axis label

--annotate TEXT
    A comma separated list of custom stack annotations, e.g. '1,3,4,5,6,7'. Annotation list must be same length as sequences.

--rotate-numbers YES/NO
    Draw X-axis numbers with vertical orientation (default: False).

--number-interval NUMBER
    Distance between numbers on X-axis (default: 5)

-S --yaxis NUMBER
    Height of yaxis in units. (Default: Maximum value with uninformative prior.)

-Y --show-yaxis YES/NO
    Display entropy scale along y-axis? (default: True)

-y --ylabel TEXT
    Y-axis label (default depends on plot type and units)

-E --show-ends YES/NO
    Label the ends of the sequence? (default: False)

-P --fineprint TEXT
    The fine print (default: weblogo version)

--ticmarks NUMBER
    Distance between ticmarks (default: 1.0)

--errorbars YES/NO
    Display error bars? (default: True)

--reverse-stacks YES/NO
    Draw stacks with largest letters on top? (default: True)

    Color Options:

    Colors can be specified using CSS2 syntax. e.g. 'red', '#FF0000', etc

-c --color-scheme SCHEME
    Specify a standard color scheme (auto, base pairing, charge, chemistry, classic, hydrophobicity, monochrome)

-C --color COLOR SYMBOLS DESCRIPTION
    Specify symbol colors, e.g. --color black AG 'Purine' --color red TC 'Pyrimidine'

--default-color COLOR
    Symbol color if not otherwise specified.

    Font Format Options:

    These options provide control over the font sizes and types.

--fontsize POINTS
    Regular text font size in points (default: 10)

--title-fontsize POINTS
    Title text font size in points (default: 12)

--small-fontsize POINTS
    Small text font size in points (default: 6)

--number-fontsize POINTS
    Axis numbers font size in points (default: 8)

--text-font FONT
    Specify font for labels (default: ArialMT)

--logo-font FONT
    Specify font for logo (default: Arial-BoldMT)

--title-font FONT
    Specify font for title (default: ArialMT)

    Advanced Format Options:

    These options provide fine control over the display of the logo.

-W --stack-width POINTS
    Width of a logo stack (default: 10.8)

--aspect-ratio POINTS
    Ratio of stack height to width (default: 5)

--box YES/NO
    Draw boxes around symbols? (default: no)

--resolution DPI
    Bitmap resolution in dots per inch (DPI). (Default: 96 DPI, except png_print, 600 DPI) Low resolution bitmaps (DPI<300) are antialiased.

--scale-width YES/NO
    Scale the visible stack width by the fraction of symbols in the column? (I.e. columns with many gaps of unknowns are narrow.) (Default: yes)

--debug YES/NO
    Output additional diagnostic information. (Default: False)

--errorbar-fraction NUMBER
    Sets error bars display proportion (default: 0.9)

--errorbar-width-fraction NUMBER
    Sets error bars width display proportion (default: 0.25)

--errorbar-gray NUMBER
    Sets error bars' gray scale percentage (default: 0.75)

    WebLogo Server:

    Run a standalone webserver on a local port.

--serve
    Start a standalone WebLogo server for creating sequence logos.

--port PORT
    Listen to this local port. (Default: 8080)